StarObjectSmallGraphicInternal::SDUDGraphic Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Friends | List of all members
StarObjectSmallGraphicInternal::SDUDGraphic Class Reference

Internal: virtual class to store a SDUD graphic. More...

Inheritance diagram for StarObjectSmallGraphicInternal::SDUDGraphic:

## Public Member Functions
| SDUDGraphic (int id)
| constructor More...
std::string | getName () const
| return the object name More...
virtual std::string | print () const
| basic print function More...
Public Member Functions inherited from StarObjectSmallGraphicInternal::Graphic
| Graphic (int id)
| constructor More...
virtual | ~Graphic ()
| destructor More...
virtual bool | send (STOFFListenerPtr, StarObject &)
| try to send the graphic to the listener More...

## Friends
std::ostream & | operator<< (std::ostream &o, SDUDGraphic const &graph)
| print object data More...

## Additional Inherited Members
Public Attributes inherited from StarObjectSmallGraphicInternal::Graphic
int | m_identifier
| the type More...

## Detailed Description

Internal: virtual class to store a SDUD graphic.

## Constructor & Destructor Documentation

StarObjectSmallGraphicInternal::SDUDGraphic::SDUDGraphic | ( | int | id | ) |
| inlineexplicit

constructor

## Member Function Documentation

std::string StarObjectSmallGraphicInternal::SDUDGraphic::getName | ( |  | ) | const
| inlinevirtual

return the object name

Implements StarObjectSmallGraphicInternal::Graphic.

virtual std::string StarObjectSmallGraphicInternal::SDUDGraphic::print | ( |  | ) | const
| inlinevirtual

basic print function

Reimplemented from StarObjectSmallGraphicInternal::Graphic.

Reimplemented in StarObjectSmallGraphicInternal::SDUDGraphicAnimation.

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | SDUDGraphic const & | graph
| ) |  |
| friend

print object data

The documentation for this class was generated from the following file:

- StarObjectSmallGraphic.cxx